Default Index Information

This endpoint returns the information of the default German indices produced by LCP Delta's optimisation algorithm (see Enact's index page).

For each default index, this endpoint returns its GUID (which allows querying of its actual data via a POST request) as well as the information related to the index, for example the BESS capacity and duration, or the different markets the BESS could participate in.


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact
from datetime import date

enact_api_helper = enact.APIHelper(username, public_api_key)

response_dataframe = enact_api_helper.get_default_indices(country = "Germany")

print(response_dataframe)

Asynchronous

from lcp_delta import enact
from datetime import date
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    response_dataframe = await enact_api_helper.get_default_indices_async(country = "Germany")

    print(response_dataframe)

asyncio.run(main())


Using the API Directly

Body Params
string
Defaults to Germany

The country of your specified index. Currently can be either "Germany" or "France".

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json